import { Addresses, ConfigPreset } from '../model';
export declare type SupernodeParams = {
    target: string;
    readonly password?: string;
    url: string;
    maxFee: number;
};
export declare class SupernodeService {
    protected readonly params: SupernodeParams;
    static readonly defaultParams: SupernodeParams;
    private readonly configLoader;
    constructor(params: SupernodeParams);
    enroll(passedPresetData?: ConfigPreset | undefined, passedAddresses?: Addresses | undefined): Promise<void>;
}
